package com.muyu.goods.domain.Model;

import com.muyu.common.core.web.model.QueryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.domain
 * @Project：cloud-server
 * @name：ActivityTeamInfoQueryModel
 * @Date：2024/11/20 19:58
 *
 * 团购活动列表查询模型
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode()
public class ActivityTeamInfoListQueryModel extends QueryModel<ActivityTeamInfoListQueryModel> {

    private String keyWord;

    private String status;


}
