package com.muyu.goods.domain.req;

import com.muyu.common.core.web.page.PageDomain;
import com.muyu.goods.domain.Model.ActivityTeamInfoListQueryModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.domain.req
 * @Project：cloud-server
 * @name：TeamInfoListReq
 * @Date：2024/11/20 19:59
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TeamInfoListReq extends PageDomain {
    private String keyWord;
    private String status;

    public ActivityTeamInfoListQueryModel buildQueryModel(){
        return ActivityTeamInfoListQueryModel.builder()
                .status(this.status)
                .keyWord(this.keyWord)
                .build()
                .domainBuild(this);
    }
}
