package com.muyu.goods.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.goods.domain.ActivityTeamInfo;
import com.muyu.goods.domain.ActivityTeamProductSkuInfo;
import com.muyu.goods.domain.add.ActivityTeamInfoAdd;
import com.muyu.product.domain.model.RuleAttrAddModel;
import org.apache.ibatis.annotations.Param;

/**
* @Entity com.muyu.goods.domain.ActivityTeamInfo
*/
public interface ActivityTeamInfoMapper extends BaseMapper<ActivityTeamInfo> {

    /**
     * 商品拼团信息
     * @param activityTeamInfoAdd
     */
    void add(ActivityTeamInfoAdd activityTeamInfoAdd);

    /**
     * 循环sku添加
     */
    void addlist( ActivityTeamProductSkuInfo info);


//    /**
//     * 添加属性集合
//     * @param ruleAttrAddModel
//     */
//    void addRuleAttrAddModel(RuleAttrAddModel ruleAttrAddModel);


}
