package com.muyu.product.domain.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.product.domain.model
 * @Project：cloud-server
 * @name：ids
 * @Date：2024/11/12 23:08
 */
@Data
public class Ids {

    private Long id;
    /** 组名称 */
    @ApiModelProperty(name = "组名称", value = "组名称", required = true)
    private String name;

    /** 状态 */
    @ApiModelProperty(name = "状态", value = "状态", required = true)
    private String states;

    @ApiModelProperty(name = "属性ID集合", value = "属性ID集合", required = true)
    private List<Long> attributeIdList;
}
