package com.muyu.product.domain.req;

import com.muyu.product.domain.model.RuleAttrAddModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.product.domain.req
 * @Project：cloud-server
 * @name：RuleAttrInfoReq
 * @Date：2024/11/14 0:32
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RuleAttrInfoReq {
    /** 规格名称 */
    private String name;

    /** 规格状态 */
    private String status;

    /**
     * 规格属性集合
     */
    private List<RuleAttrAddModel> ruleAttrList;
}
