package com.muyu.product.domain.resp;

import com.muyu.product.domain.AttributeInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * @Author：尚志豪
 * @Package：com.muyu.product.domain.resp
 * @Project：cloud-server
 * @name：AttributeGroupUpdResp
 * @Date：2024/11/13 16:33
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AttributeGroupUpdResp {
    private static final long serialVersionUID = 1L;

    /** 属性组编号 */
    private Long id;

    /** 组名称 */
    private String name;

    /** 状态 */
    private String states;

    /** 属性Id集合 */
    private List<AttributeInfo> attributeList;
}
