package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AttributeGroup;
import com.muyu.product.domain.model.Ids;
import com.muyu.product.domain.req.AttributeGroupSaveReq;
import com.muyu.product.domain.req.AttributeInfoEditReq;
import org.apache.ibatis.annotations.Param;

/**
 * 属性组Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface AttributeGroupMapper extends BaseMapper<AttributeGroup> {
    /**
     * 修改属性组(批量添加)
     */
    int updateByIds(@Param("id") Long id, @Param("attributeIdList") List<Long> attributeIdList);
    /**
     * 修改属性组(删除)
     */
    int updateByIdss(@Param("id") Long id);

    /**
     * 修改主表
     */
    void updateGroup(AttributeGroupSaveReq attributeGroupSaveReq);
}
