package com.muyu.product.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.product.domain.AttributeInfo;
import com.muyu.product.domain.ProjectInfo;
import com.muyu.product.domain.ProjectSkuInfo;
import com.muyu.product.domain.model.RuleAttrAddModel;
import com.muyu.product.domain.model.RuleInfoAddModel;
import org.apache.ibatis.annotations.Param;

/**
 * 商品信息Mapper接口
 *
 * @author DongZeLiang
 * @date 2024-02-27
 */
public interface ProjectInfoMapper extends BaseMapper<ProjectInfo> {
    /**
     * 商品属性表中间表
     * @param aLong
     * @return
     */
    AttributeInfo selectProject(@Param("aLong") Long aLong);

    ProjectSkuInfo selectProjectSkuInfo(@Param("aLong") Long aLong);

}
