package com.muyu.common.core.enums.market.team;/**
 * @Author：尚志豪
 * @Package：com.muyu.common.core.enums.market.team
 * @Project：cloud-server
 * @name：TeamOpenTypeEnum
 * @Date：2024/11/21 15:11
 */

/**
 * @program: cloud-server
 * @description: 字典
 * @author: CuiFu Bo
 * @create: 2024-11-21 15:11
 **/

public enum TeamOpenTypeEnum {
    // 开团
    OPEN_TEAM("open_team","开团"),
    // 参团
    IN_TEAM("in_team","参团");

    private final String code;

    private final String label;

    TeamOpenTypeEnum(String code, String label) {
        this.code = code;
        this.label = label;
    }

    public String code() {
        return code;
    }

    public String label() {
        return label;
    }
}
