package com.muyu.goods.domain.Model;/**
 * @Author：尚志豪
 * @Package：com.muyu.goods.domain.Model
 * @Project：cloud-server
 * @name：TeamProductStockModel
 * @Date：2024/11/21 20:48
 */

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @program: cloud-server
 * @description:
 * @author: CuiFu Bo
 * @create: 2024-11-21 20:48
 * 团购商品库存模型
 **/

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TeamProductStockModel {

    /**
     * 拼团总库存
     */
    private Long teamStock;

    /**
     * 拼团剩余库存
     */
    private Long remainStock;
}
