package com.muyu.marketing.domain.model;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品活动SKU信息模型
 *
 * @author DongZeLiang
 * @date 2024-11-26 15:35
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuInfoForeignKeyModel extends ActivityTeamProductSkuInfoModel{

    /**
     * 拼团名称
     */
    private Integer name;
    /**
     * 商品活动图
     */
    private Integer productImage;
    /**
     * 活动简介
     */
    private Integer introduction;
    /**
     * 单位
     */
    private Integer unit;
    /**
     * 轮播图
     */
    private Integer imageList;
    /**
     * 活动结束时间
     */
    private Integer endTime;
    /**
     * 活动详情
     */
    private Integer content;

}
